%define lname	inotifytools

%define major	0
%define libname	%mklibname %lname %major
%define devname	%mklibname %lname -d

Summary:	Simple interface to inotify
Name:		inotify-tools
Version:	4.23.9.0
Release:	%mkrel 1
License:	GPLv2+
Group:		File tools
URL:		https://github.com/inotify-tools/inotify-tools/wiki
Source0:	https://github.com/inotify-tools/inotify-tools/archive/%{version}/%{name}-%{version}.tar.gz
# https://github.com/inotify-tools/inotify-tools/issues/192
Patch0:		inotify-tools-mga-use-of__kernel_val-instead-of-val.patch
BuildRequires:	doxygen

%description
This is a package of some commandline utilities relating to inotify.

The general purpose of this package is to allow inotify's features
to be used from within shell scripts.  Read the man pages for
further details.

%package -n	%{libname}
Summary:	Inotify interface library
Group:		System/Libraries

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with libinotifytools.

%package -n	%{devname}
Summary:	Development files for inotifytools
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{lname}-devel = %{version}-%{release}

%description -n	%{devname}
Development files for inotifytools.

%prep
%autosetup -p1

%build
./autogen.sh
%configure \
	--disable-static \
	--enable-doxygen \
	--enable-fanotify
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

mv %{buildroot}%{_docdir}/%{name} api

%files
%doc AUTHORS README.md
%{_bindir}/fsnotifywait
%{_bindir}/fsnotifywatch
%{_bindir}/inotifywait
%{_bindir}/inotifywatch
%{_mandir}/man1/fsnotifywait.1*
%{_mandir}/man1/fsnotifywatch.1*
%{_mandir}/man1/inotifywait.1*
%{_mandir}/man1/inotifywatch.1*

%files -n %{libname}
%license COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%doc AUTHORS ChangeLog NEWS api
%{_includedir}/inotifytools/
%{_libdir}/*.so


%changelog
* Sun Sep 29 2024 daviddavid <daviddavid> 4.23.9.0-1.mga10
+ Revision: 2101961
- new version: 4.23.9.0
- patch inotifytools.cpp to use '.__kernel_val' instead of '.val' with our kernel

* Fri Mar 18 2022 umeabot <umeabot> 3.20.11.0-2.mga9
+ Revision: 1798666
- Mageia 9 Mass Rebuild

* Sun Nov 22 2020 kekepower <kekepower> 3.20.11.0-1.mga8
+ Revision: 1648578
- Update to version 3.20.11.0

* Thu Feb 20 2020 umeabot <umeabot> 3.20.2.2-2.mga8
+ Revision: 1546345
- Mageia 8 Mass Rebuild

* Sun Feb 02 2020 kekepower <kekepower> 3.20.2.2-1.mga8
+ Revision: 1486398
- Update to version 3.20.2.2

* Fri Jan 31 2020 kekepower <kekepower> 3.20.2.1-1.mga8
+ Revision: 1486060
- Update to version 3.20.2.1

* Fri Jan 31 2020 kekepower <kekepower> 3.20.2-1.mga8
+ Revision: 1486059
- Update to version 3.20.2
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Jan 01 2019 kekepower <kekepower> 3.20.1-1.mga7
+ Revision: 1347790
- Update License
- Update to version 3.20.1
- Update URL and Source links

* Sun Sep 23 2018 umeabot <umeabot> 3.14-8.mga7
+ Revision: 1298302
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 wally <wally> 3.14-7.mga7
+ Revision: 1238778
- fix build on aarch64
- disable static build and drop .la files

* Tue Feb 02 2016 umeabot <umeabot> 3.14-6.mga6
+ Revision: 931674
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.14-5.mga5
+ Revision: 745287
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.14-4.mga5
+ Revision: 680522
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.14-3.mga4
+ Revision: 506087
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.14-2.mga3
+ Revision: 354413
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 16 2011 anssi <anssi> 3.14-1.mga1
+ Revision: 20146
- new version
- remove old scripts
- fix license tag to adhere to policy
- imported package inotify-tools


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 3.13-4mdv2011.0
+ Revision: 619633
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 3.13-3mdv2010.0
+ Revision: 429512
- rebuild

* Mon Jun 09 2008 Pixel <pixel@mandriva.com> 3.13-2mdv2009.0
+ Revision: 217205
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Jan 03 2008 Anssi Hannula <anssi@mandriva.org> 3.13-2mdv2008.1
+ Revision: 141085
- more devel provides

* Thu Jan 03 2008 Anssi Hannula <anssi@mandriva.org> 3.13-1mdv2008.1
+ Revision: 140931
- initial Mandriva release

